# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXClassWrapper_Camera Struct Reference

VLX wrapper of vl::Camera. More...

`#include <VLXWrappers.hpp>`

Inheritance diagram for vl::VLXClassWrapper_Camera:

List of all members.

## Public Member Functions

void | importCamera (VLXSerializer &s, const VLXStructure *vlx, Camera *obj)
virtual ref< Object > | importVLX (VLXSerializer &s, const VLXStructure *vlx)
void | exportCamera (VLXSerializer &s, const Camera *obj, VLXStructure *vlx)
virtual ref< VLXStructure > | exportVLX (VLXSerializer &s, const Object *obj)

## Detailed Description

VLX wrapper of vl::Camera.

Definition at line 2176 of file VLXWrappers.hpp.

## Member Function Documentation

void vl::VLXClassWrapper_Camera::importCamera | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx,
|  | Camera * | obj
| ) |  | `[inline]`

Definition at line 2178 of file VLXWrappers.hpp.

References vl::Camera::bindTransform(), vl::VLXValue::getList(), vl::VLXValue::getReal(), vl::VLXValue::getString(), vl::VLXValue::getStructure(), vl::VLXStructure::getValue(), vl::VLXValue::Identifier, vl::VLXSerializer::importVLX(), vl::VLXValue::List, NULL, vl::PMT_UserProjection, vl::VLXValue::Real, vl::Camera::setBottom(), vl::Camera::setFarPlane(), vl::Camera::setFOV(), vl::Camera::setLeft(), vl::Camera::setNearPlane(), vl::Object::setObjectName(), vl::Camera::setProjectionMatrix(), vl::Camera::setRight(), vl::Camera::setTop(), vl::Camera::setViewMatrix(), vl::Camera::setViewport(), vl::VLXValue::Structure, vl::VLXValue::type(), vl::VLXStructure::value(), vl::vlx_EProjectionMatrixType(), VLX_IMPORT_CHECK_RETURN, and vl::vlx_mat4().

Referenced by importVLX().

virtual ref<Object> vl::VLXClassWrapper_Camera::importVLX | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 2270 of file VLXWrappers.hpp.

References vl::ref< T >::get(), importCamera(), and vl::VLXSerializer::registerImportedStructure().

void vl::VLXClassWrapper_Camera::exportCamera | ( | VLXSerializer & | s,
|  | const Camera * | obj,
|  | VLXStructure * | vlx
| ) |  | `[inline]`

Definition at line 2279 of file VLXWrappers.hpp.

References vl::Camera::bottom(), vl::Camera::boundTransform(), vl::VLXSerializer::exportVLX(), vl::Camera::farPlane(), vl::Camera::fov(), vl::Camera::left(), vl::Camera::nearPlane(), vl::Object::objectName(), vl::Camera::projectionMatrix(), vl::Camera::projectionMatrixType(), vl::Camera::right(), vl::Camera::top(), vl::Camera::viewMatrix(), vl::Camera::viewport(), vl::vlx_EProjectionMatrixType(), vl::vlx_Identifier(), vl::vlx_String(), and vl::vlx_toValue().

Referenced by exportVLX().

virtual ref<VLXStructure> vl::VLXClassWrapper_Camera::exportVLX | ( | VLXSerializer & | s,
|  | const Object * | obj
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 2298 of file VLXWrappers.hpp.

References vl::Object::as(), exportCamera(), vl::VLXSerializer::generateID(), vl::VLXSerializer::registerExportedObject(), VL_CHECK, and vl::vlx_makeTag().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/VLXWrappers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:57.
Permission is granted to use this page to write and publish articles regarding Visualization Library.